<!DOCTYPE html>
<!--
    Licensed to the Apache Software Foundation (ASF) under one
    or more contributor license agreements.  See the NOTICE file
    distributed with this work for additional information
    regarding copyright ownership.  The ASF licenses this file
    to you under the Apache License, Version 2.0 (the
    "License"); you may not use this file except in compliance
    with the License.  You may obtain a copy of the License at

    http://www.apache.org/licenses/LICENSE-2.0

    Unless required by applicable law or agreed to in writing,
    software distributed under the License is distributed on an
    "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
     KIND, either express or implied.  See the License for the
    specific language governing permissions and limitations
    under the License.
-->
<html>
    <head>
        <!--
        Customize this policy to fit your own app's needs. For more guidance, see:
            https://github.com/apache/cordova-plugin-whitelist/blob/master/README.md#content-security-policy
        Some notes:
            * gap: is required only on iOS (when using UIWebView) and is needed for JS->native communication
            * https://ssl.gstatic.com is required only on Android and is needed for TalkBack to function properly
            * Disables use of inline scripts in order to mitigate risk of XSS vulnerabilities. To change this:
                * Enable inline JS: add 'unsafe-inline' to default-src
        -->


        <meta name="viewport" content="user-scalable=no, initial-scale=1, maximum-scale=1, minimum-scale=1, width=device-width">
        <!--<link rel="stylesheet" type="text/css" href="css/index.css">-->
        <link rel="stylesheet" href="http://fonts.googleapis.com/icon?family=Material+Icons"/>
        <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/materialize/0.97.8/css/materialize.min.css"/>

        <title>A.M.</title>
    </head>
    <body>
      <style>
        .spa{display: none;}
        #Home {display: block;}
      </style>

      <!--navbar-->
    <div  class="navbar-fixed">
          <nav class=" orange darken-4 ">
              <div class="nav-wrapper container"><a href="#!" class="brand-logo center">A.M.</a>
                  <a href="#!" data-activates="nav-mobile" class="button-collapse show-on-large"><i class="material-icons">menu</i></a>
              </div>
          </nav>
      </div>
<!-- navbar items-->
<!-- Fixed sideNav -->
<ul id="nav-mobile" class="side-nav">
    <li><a href="#!" data-show="Home"><i class="material-icons">home</i>Home</a></li>
    <li>
        <div class="divider"></div>
    </li>
    <li><a href="#!" data-show="ManageCharacters"><i class="material-icons">recent_actors</i>Manage Characters</a></li>
    <li><a href="#!" data-show="CharacterEditor"><i class="material-icons">assignment</i>Character Editor</a></li>
    <li><a href="#!" data-show="Ping"><i class="material-icons">wifi_tethering</i>Ping</a></li>
    <li><a href="#!" data-show="Settings"><i class="material-icons">settings</i>Settings</a></li>
    <li>
        <div class="divider"></div>
    </li>
    <li><a href="#!" data-show="About">About</a></li>
</ul>

<div class="container">
  <div class=" row spa" id="Home">
    <div class="col s12">
      <h4> Welcome to AdventureManager2</h4>
      <p></p>
      <p>swipe from left to right to open the menu</p>
      
      <div class="divider"></div>
      
    </div>
  </div>



  <div class="row spa" id="ManageCharacters">
      <div class="col s12">
          <h4> Created characters</h4>
          <ul class="collection">
             <!-- <li class="collection-item">
                      <div class="title">voorbeeldpersonage</div>
                      <i class=" material-icons circle blue "  data-Personage="">create</i><i class="material-icons circle red deletePersonage"  data-Personage="">delete_forever</i>
              </li>-->
          </ul>

          <!--personage toevoegen -->
          <div class="fixed-action-btn">
              <a class="btn-floating btn-large green" id="addPersonage"><i class="large material-icons">add</i></a>
          </div>



      </div>
  </div>

  <div class="row spa" id="IdEmpty">
    <div class="col s12">
      <h4>Im sorry but you should edit a character first</h4>
    </div>
  </div>

  <div class="row spa" id="CharacterEditor">
    <div class="col s12">
      <h4> Character Editor</h4>
        <!-- Collection: -->
        <form action="">
            <div class="fixed-action-btn">

              <a  class="btn-floating btn-large blue" id="opslaanPersonage" name="opslaanPersonage">
                <i class="material-icons">done_all</i>
                </a>
            </div>
<div class="divider"></div>
  <h5>General info</h5>

            <div class="row">
            <div class="input-field col s12">
                <input id="currentId" value="" hidden/>
              <label class="title" for="name" >Name</label>
              <input id="name" name="name" type="text" value=""/>
            </div>
          </div>
          <div class="row">
                <div class="input-field col s12 col s12">
                  <label class="title" for="description"> description </label>
                  <input id="description" name="description" type="text" value=""/>
                </div>
              </div>


  <h5>Aspects</h5>

          <div class="row">
            <div class="input-field col s12">
              <label class="title" for="highconcept"> Highconcept </label>
              <input id="highconcept" name="highconcept" type="text" value=""/>
            </div>
          </div>
<div class="row">
            <div class="input-field col s12">
              <label class="title" for="trouble"> Trouble </label>
              <input id="trouble" name="trouble" type="text" value=""/>
            </div>
</div>

<h5>Approaches</h5>

    <!--numbers-->
    <div class="row">
          <div class="input-field col s12">

            <select id="careful" name="careful" >
                <option value="0"> mediocre (+0) </option>
                <option value="1"> average (+1) </option>
                <option value="2"> fair (+2) </option>
                <option value="3"> good (+3) </option>
            </select>
            <label class="title" for="careful"> careful </label>
          </div>
      </div>
      <div class="row">
          <div class="input-field col s12">

            <select id="clever" name="clever" >
              <option value="0"> mediocre (+0) </option>
              <option value="1"> average (+1) </option>
              <option value="2"> fair (+2) </option>
              <option value="3"> good (+3) </option>
            </select>
            <label class="title" for="clever"> clever </label>
          </div>

        </div>
        <div class="row">
          <div class="input-field col s12">

            <select id="flashy" name="flashy" >
              <option value="0"> mediocre (+0) </option>
              <option value="1"> average (+1) </option>
              <option value="2"> fair (+2) </option>
              <option value="3"> good (+3) </option>
            </select>
            <label class="title" for="flashy"> flashy </label>
          </div>
</div>
<div class="row">
          <div class="input-field col s12">

            <select id="forceful" name="forceful" >
              <option value="0"> mediocre (+0) </option>
              <option value="1"> average (+1) </option>
              <option value="2"> fair (+2) </option>
              <option value="3"> good (+3) </option>
            </select>
            <label class="title" for="forceful"> forceful </label>
          </div>

</div>
<div class="row">
          <div class="input-field col s12">

            <select id="quick" name="quick" >
              <option value="0"> mediocre (+0) </option>
              <option value="1"> average (+1) </option>
              <option value="2"> fair (+2) </option>
              <option value="3"> good (+3) </option>
            </select>
            <label class="title" for="quick"> quick </label>
          </div>
    </div>
    <div class="row">
          <div class="input-field  col s12">

            <select id="sneaky" name="sneaky" >
              <option value="0"> mediocre (+0) </option>
              <option value="1"> average (+1) </option>
              <option value="2"> fair (+2) </option>
              <option value="3"> good (+3) </option>
            </select>
            <label class="title" for="sneaky"> sneaky </label>
          </div>
        </div>
    <!--end of numbers-->

            </form>
      </div>
    </div>

<!--Ping section-->
    <div class="row spa" id="Ping">
      <div class="col s12">
        <h4>Server Ping</h4>
          <div class="row">
                    <div class="input-field col s12">
                      <label class="title" for="server">Current server </label>
                      <input id="server" name="server" type="text" value="81.243.185.166"/>
                    </div>
                    <a class="waves-effect waves-light btn " id="ping">Ping</a>
                    <h5> Response </h5>
                    <p>
                      <div id="ServerPing">
                      </div>
                    </p>
          </div>
      </div>
    </div>

    <div class="row spa" id="Settings">
      <div class="col s12">
          <h4> Settings</h4> 

          <!--If i have some spare time left-->

            <!--<div class="row">
              <div class="col s12">
                <h5>Server</h5>
                <input type="text" id="Dataserver" name="Dataserver" value="192.168.137.1"/>
              </div>
            </div>-->

            <div class="row">
              <div class="col s12">
               <h5>data management</h5>

                <div class="row">
                  <div class="col s6">
                    <a class="waves-effect waves-light btn  yellow darken-3" id="upload">Upload local data</a>
                  </div>
                  <div class="col s6">
                    <a class="waves-effect waves-light btn yellow darken-3" id="download">Download Server data</a>
                  </div>
                </div>

                <div class="row">
                  <div class="col s6">
                    <a class="waves-effect waves-light btn red darken-3" id="DeleteServerData">Delete Server data</a>
                  </div>
                </div>

              </div>
            </div>

            <div class="row">
              <div class="col s12">
                <h5> General Settings </h5>
                <div class="divider"></div>
              </div>
            </div>

            <div class="row">
              <div class="col s12">
                <a class="waves-effect waves-light btn red " id="KillLocalStorage">Destroy all local data</a>
              </div>
            </div>

            <div class="experimental">
              <div class="row">
                <div class="col s12">
                  <h5>Devmode</h5>
                    <h6>Comming soon</h6>
                    <input type="checkbox" id="EnableScreenLogging" name="EnableScreenLogging" value="false"/>
                    <label for="EnableScreenLogging">Remember the screen i last opened?</label>
                </div>
              </div>

              <div class="row">
                <div class="col s12">
                  <div class="divider"></div>
                </div>
              </div>
            
              <div class="row">
                <div class="col s12">
                  <h5> DevMode Management Settings </h5>
                  <a class="waves-effect waves-light btn orange accent-4" id="devOff">Turn off Devmode</a>
                </div>
              </div>
            </div>
          </div>
        </div>

  <div class="row spa" id="About">
      <div class="col s12">
        <h4> About</h4>
        <div class="row">
          <h5> The Developer</h5>
          <p>My name is Ben Chermenschi and I'm a Dutch Student at Thomas More Geel.</p>
          <h6>Contact</h6>
          <p><a href="sms:+32470666916"> <i class="material-icons">message</i> sms the developer</a> </p>
          <p><a href="tel:+32470666916"><i class="material-icons">phone</i> call the (probly) in airplanemode developer</a></p>
          <p><i class="material-icons">email</i> chermenschi.ben@gmail.com</p>
          </div>
        </div>
        <div class="row">
          <div class="col s12">
            <h5>The App</h5>
            <p>This app is a school project for the course Phonegap. It is meant to be expaned over time by the developer.</p>
            <p>The main goal of this application is to be a character creator for the fate Accelerated tabletop rpg ruleset/system.</p>
            
            <p  id="devmode"> buildnumber : A.M.2.V.1.0.S</p>
            
          </div>
        </div>
          
      </div>
  </div>

  <div class="row spa" id="loader">
    <h4 id="loaderText"></h4>
    <p id="loaderDescription"></p>
    <div class="progress">
      <div class="indeterminate"></div>
  </div>
  </div>

</div>


        <script src="https://cdnjs.cloudflare.com/ajax/libs/jquery/3.1.1/jquery.min.js"></script>
        <script src="https://cdnjs.cloudflare.com/ajax/libs/materialize/0.97.8/js/materialize.min.js"></script>
        <script type="text/javascript" src="cordova.js"></script>
        <!--<script type="text/javascript" src="js/index.js"></script>-->
        <script src="js/charactermanager.js"></script>
        <script src="js/ping.js"></script>
        <script defer src="js/app.js"></script>
        <script src="js/dataAccess.js"></script>
        



    </body>
</html>
